Subject: Re: Fetchmail as a service
From: Jason Tishler <[email-masked]>
To: David Monk <[email-masked]>
Cc: Corinna Vinschen <[email-masked]>
Date: Mon, 24 Sep 2001 21:24:59 -0400

David,

On Mon, Sep 24, 2001 at 03:15:51PM -0500, David Monk wrote:
> There was a message in the archive regarding running fetchmail as a service
> via cygwin. But, the only thing in the message was "Yes. I have it running.
> And as a service" basically.
> Has anyone hanging around and paying attention to the list got fetchmail
> running as a service? If so, was there anything special you had to do to get
> it all working properly?

Not under NT 4.0, but when I upgraded to 2000 I had two problems:

1. fetchmail would corrupt some on my mail.  See the following for
the details and patch:

    http://sources.redhat.com/ml/cygwin/2001-08/msg00628.html

2. I needed to (re)define the HOME variable when I installed fetchmail
as a service:

    cygrunsrv --install fetchmail --path /usr/local/bin/fetchmail --args "--daemon 300 --nodetach" --env HOME=/home/jt --termsig TERM --user 'althea\jt' --shutdown

> I have fetchmail configured and delivering mail to a local spool file, but
> it fails on start when install using cygrunsrv.

Maybe #2 above is affecting you too?  What are the error messages when
fetchmail fails to start via cygrunsrv?

BTW, I have fetchmail invoking procmail and the combination works very
nicely.  And, when someone sends me a MS Word document, I can still view
it via mutt's autoview feature.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/